%define upstream_name    Text-Haml
%define upstream_version 0.990118

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Haml Perl implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Section::Simple)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build::Tiny) >= 0.035
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
the Text::Haml manpage implements Haml the
http://haml-lang.com/docs/yardoc/file.HAML_REFERENCE.html manpage
specification.

the Text::Haml manpage passes specification tests written by Norman Clarke
http://github.com/norman/haml-spec and supports only cross-language Haml
features. Do not expect Ruby specific things to work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%buildroot
rm -f %{buildroot}/%{perl_vendorlib}/Text/README.pod

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.990.118-4.mga8
+ Revision: 1506686
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.990.118-3.mga7
+ Revision: 1286970
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.990.118-2.mga7
+ Revision: 1166956
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.990.118-1.mga7
+ Revision: 1154459
- fix BRs
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.990.117-2.mga6
+ Revision: 1034921
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.990.117-1.mga6
+ Revision: 1007255
- update to 0.990117

* Sat Feb 20 2016 umeabot <umeabot> 0.990.116-6.mga6
+ Revision: 971525
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.990.116-5.mga6
+ Revision: 891862
- BR perl(Module::Build)

* Sun Oct 19 2014 umeabot <umeabot> 0.990.116-4.mga5
+ Revision: 788561
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.990.116-3.mga5
+ Revision: 742802
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.990.116-2.mga5
+ Revision: 686626
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.990.116-1.mga5
+ Revision: 617860
- New version 0.990116

* Tue Feb 04 2014 shlomif <shlomif> 0.990.115-1.mga5
+ Revision: 581384
- New version archive
- New version

* Fri Nov 29 2013 jquelin <jquelin> 0.990.109-3.mga4
+ Revision: 554037
- remove bogus pod file that shouldn't be installed

* Sat Oct 19 2013 umeabot <umeabot> 0.990.109-2.mga4
+ Revision: 531727
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 sander85 <sander85> 0.990.109-1.mga4
+ Revision: 464865
- update to 0.990109

* Wed May 29 2013 shlomif <shlomif> 0.990.108-1.mga4
+ Revision: 432290
- update to 0.990108

* Sun Jan 13 2013 umeabot <umeabot> 0.990.107-2.mga3
+ Revision: 374089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 shlomif <shlomif> 0.990.107-1.mga3
+ Revision: 298656
- update to 0.990107

* Tue Sep 25 2012 shlomif <shlomif> 0.990.106-1.mga3
+ Revision: 297454
- imported package perl-Text-Haml


* Tue Sep 25 2012 cpan2dist 0.990106-1mga
- initial mageia release, generated with cpan2dist
